#include <QtGui>
#include <QtCore>

#include "affichage.h"
extern QString g_pathabsolu;
affichage::affichage()
{
QString texte;
QStringList liste;
m_text = "";
setupUi(this);
QFile file(""+g_pathabsolu+"/erreursid.txt");
if(!file.open(QIODevice::ReadOnly | QIODevice::Text))
{QMessageBox::warning(0,tr("attention"),trUtf8("le fichier de log erreursid.txt ne peut pas être ouvert."),QMessageBox::Ok);}
QTextStream stream(&file);
while(!stream.atEnd()){
m_text = stream.readLine(); 
liste << ""+m_text+"";}
texte = liste.join("\n");
textEdit->setPlainText(""+texte+"");
connect(pushButton,SIGNAL(pressed()),qApp,SLOT(closeAllWindows()));

}
